<?php
/*
Plugin Name: FB Link Post
Plugin URI: http://www.brettrutecky.com
Description: Lets you post linked graphics to Facebook
Version: 1.2
Author: Brett Rutecky 
Author URI: http://www.brettrutecky.com
License: Standard
*/




/* Runs when plugin is activated */
register_activation_hook(__FILE__,'site_fblp_install'); 

/* Runs on plugin deactivation*/
register_deactivation_hook( __FILE__, 'site_fblp_remove' );

function site_fblp_install() {
                                global $wpdb;
                                $table_name = $wpdb->prefix . "site_fblp_pages";                             
                                $sql = "CREATE TABLE $table_name (
                                                                  id mediumint(9) NOT NULL AUTO_INCREMENT,
                                                                  Graphic VARCHAR(255) DEFAULT '' NOT NULL,
                                                                  Link VARCHAR(255) DEFAULT '' NOT NULL,
                                                                  Caption VARCHAR(255) DEFAULT '' NOT NULL,
                                                                  Clicks mediumint(9) DEFAULT '0' NOT NULL,
                                                                  UNIQUE KEY id (id)
                                                                  );";
                                require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
                                dbDelta( $sql );     
                               }

function site_fblp_remove() {
                              remove_action('wp', 'block_post_site_fblp', 1);

                              }

if ( is_admin() ){
                  /* Call the html code */
                  add_action('admin_menu', 'site_fblp_admin_menu');

                  function site_fblp_admin_menu() {
                                                     add_menu_page('Facebook Link Post', 'Facebook Link Post', 'administrator', 'fblp_insert', 'site_fblp_admin');
                                                     add_submenu_page('fblp_insert', 	'Help', 			'Help', 		0, 	'fblp_help', 	'fblp_help'		);
                                                  }
                 }

function site_fblp_admin() { 
                              global $wpdb;
                              $PGPath=plugins_url()."/fb_linkpost/";
                              wp_register_script('op_jq', 'http://ajax.googleapis.com/ajax/libs/jquery/1.6.0/jquery.min.js'); 
                              wp_enqueue_script('op_jq');
                              
                              echo "
                                    <div style='position:relative; width:880px; padding:10px; background-color:#ffffff;'>
                                     <img src='$PGPath"."images/logo.jpg'>
                                     <div style='float:right; margin-top:25px; margin-right:10px;'>
                                      <img src='$PGPath"."images/installnewbutton.png' style='cursor:pointer;' onclick='installnew();'>
                                     </div>
                                    </div>
                                   ";
                              echo "
                                    <table style='font-size:14px; font-weight:900; font-family:sans-serif; width:900px; background-color:#FFFFFF;'>
                                    <tr>
                                     <td>Clicks</td>
                                     <td>Caption</td>
                                     <td>Link URL</td>
                                     <td>Options</td>
                                    </tr> 
                                   ";
                                   
                              $re = $wpdb->get_results( " SELECT * FROM ".$wpdb->prefix."site_fblp_pages " );
                              $c=0;
                              foreach ( $re as $ro ) 
                                                    {
	                                                   $ID=$ro->id;
                                                     $Graphic=$ro->Graphic;
                                                     $Link=$ro->Link;
                                                     $Caption=$ro->Caption;
                                                     $Clicks=$ro->Clicks;
                                                     
                                                     
                                                     $Options="<button onclick=\"window.open('https://www.facebook.com/sharer/sharer.php?u=$PGPath"."share.php?id=$ID');\">SHARE</button>&nbsp;&nbsp;";
                                                     $Options=$Options."<button onclick=\"deletePage('$ID')\">DELETE</button>&nbsp;&nbsp;";
                                                     //background color for table rows
                                                     $bc="#ADC6DC";
                                                      
                                                     echo "
                                                           <tr>
                                                            <td style='background-color:$bc;'>$Clicks</td>
                                                            <td style='background-color:$bc;'>".stripslashes($Caption)."</td>
                                                            <td style='background-color:$bc;'>$Link</td>
                                                            <td style='width:160px; background-color:$bc;'><center>$Options</center></td>
                                                           </tr>
                                                          ";
                                                    
                                                    }    
                             echo "       
                                   </table>
                                   </div>
                                  </div>
                                  
                                   <div id='Blanket' style='display:none; z-index:9998; position:fixed; left:0px; top:0px; width:100%; height:100%; background-color:#000000; opacity:.7'></div>
                                   <div id='PopUp' style='display:none; z-index:9999; position:fixed; width:650px; padding:10px; min-height:200px; top:75px; left:50%; margin-left:-330px; border: 5px solid #ADC6DC; background-color:#ffffff;'>
                                    <div style='position:absolute; right:5px; top:5px;'><a href='#' onclick=\"$('#PopUp').css('display','none'); $('#Blanket').css('display','none');\"><img src='$PGPath/images/close_2.png' border='0'></a></div>
                                    <div id='PopUpContent' style='position:relative; top:20px;'>
                                    </div>
                                    <br>
                                   </div>
                                  
                                  
                                   <script type='text/javascript'>
                                    function deletePage(P){
                                                          jQuery.post('$PGPath'+'deletepage.php',{P:P}, function(data) {
                                                                                                                        location.reload();
                                                                                                                       });
                                                         }
                                    
                                    function installnew(){
                                                          jQuery.post('$PGPath'+'addnewpage.php', function(data) {
                                                                                                               jQuery('#PopUpContent').html(data);
                                                                                                               jQuery('#PopUp').css('display','block');
                                                                                                               jQuery('#Blanket').css('display','block');
                                                                                                              });
                                                         }
                                   
                                    
                                                      
                                    
                                   
                                    
                                                                        
                                    function saveNow(){
                                                       var IG=$('#ImageGraphic').val();
                                                       var LU=$('#LinkURL').val();
                                                       var C=$('#Caption').val();
                                                       
                                                       //alert(IG+' -- '+LU);

                        
                                                       $.post('$PGPath'+'dosave.php', { 
                                                                              IG:IG,
                                                                              LU:LU,
                                                                              C:C 
                                                                             },function( data ){
                                                                                                //alert(data);
                                                                                                location.reload();
                                                                                               }); 
                                                                              
                                                                             }   
                                                                                                                                         
                                   </script>
                                  ";     
                                   
                             }


 include('help.php');
?>